Mantis Issue Tracking for Scribus
· Hosting provided by Anduin.net / Øverby Consulting ·

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001728ScribusUser Interfacepublic2005-02-25 09:572005-06-03 17:57
Reportermhanski 
Assigned To 
PrioritynormalSeverityfeatureReproducibilityalways
StatusclosedResolutionwon't fix 
PlatformAMD Athlon XP 3000+OSGentoo LinuxOS Versioncurrent
Product Version1.3.0cvs 
Target VersionFixed in Version 
Summary0001728: Importing ICC profiles: A new GUI dialog needed
DescriptionThe current way to use ICC profiles in Scribus is quite uncomfortable and requires from users the root access to the system. It would make things easier, if the user could import ICC profiles through a GUI dialog in Scribus and store them somewhere underneath of ~/.scribus directory.

It could be done similar to the font import dialog in Scribus. A logical place for such a dialog seems to be Settings>Color Management window, where you could put a new "Import ICC profiles" tab.

In case, user would import an ICC profile of the same name as one of the profiles installed system widely by root, the user's ICC profile should prevail.
TagsNo tags attached.
Patch
Attached Files

- Relationships
related to 0002040closedfschmid Have Scribus look for icc profiles in /usr/share/color/icc/ 
related to 0002248closedcbradney Don't silently disable ICC profiles in prefs when a doc is open 
related to 0003111feedback Improvement of color management/ICC options 

-  Notes
(0003818)
Tsoots (manager)
2005-02-25 10:17
edited on: 2005-02-25 10:19

"requires from users the root access to the system"

Gui is not a bad idea but one doesn't need to be a root. There's an ICC profile directory setting in prefs.

(0003819)
cbradney (administrator)
2005-02-25 11:55

As Tsoots says, why not use the preferences setting? We dont supply profiles, so use your user dir.
(0003820)
louisdesjardins (developer)
2005-02-25 13:44

I agree with all of you.

The way it is is in fact uncomfortable. :)
But I think the solution is just on the other side of the door.

I think we have to aknowledge the one thing that's mystifying users (just see the number of posts on the list about this single issue), is the necessity of having both a CMYK and a RGB profile in the profile directory.

So I guess a *more explanatory tooltip* in the Prefs menu would solve the case.

Something like (please edit freely!) : "To activate Color Management, you need to tell Scribus where is your ICC profiles directory. Important: you must have both a CMYK and an RGB profile in that directory for Color Management to be activated."
(0003821)
cbradney (administrator)
2005-02-25 13:49

We could also say RTFM :)
(0003822)
louisdesjardins (developer)
2005-02-25 13:54

I thought you'd say that! :)
(0003824)
mhanski (developer)
2005-02-25 17:46

<quote>As Tsoots says, why not use the preferences setting? We dont supply profiles, so use your user dir.</quote>

I forgot the option in the preferences, you are both right.

<quote>
We could also say RTFM :)
</quote>

I'm glad and thankful, you didn't say that :) Because, if even a long time supporter like me is somewhat confused about the way it works now, there could be probably some potential to make things better. Three things I don't like about the way it works now:

1. In the preferences there is no clue about the relation between the ICC profiles and the color management -- I would like it to be more verbose, like Louis said...

2. The Settings>Color Management option appears only after activating ICC profiles. IMO, it would be better to let it always where it is and make its contents inactive, if there are no ICC profiles. Additionally, there should be some info there, how to activate the Color Management.

3. Now the path to ICC profiles can be found in preferences, and the Color Management is a separate dialog. IMO, it would be better either to allow to define the path to ICC profiles directly from the Color Management dialog , or put Color Management into the Preferences and add the path to ICC profiles to it, to have things, that are logically connected, in one place.
(0003825)
cbradney (administrator)
2005-02-25 17:55

Agree with 3., in 1.3, the preferences are all in one dialog.
(0003826)
louisdesjardins (developer)
2005-02-25 18:02

I agree with number 3. It's a good idea to keep the related settings in one place. On my part, I would go for CM into the Prefs.
(0003827)
louisdesjardins (developer)
2005-02-25 18:06

Happy to read Craig's comment! I was obviously writing my own comment when his came in.
When the refreshed screen came in, the note was there!
(0003859)
plinnell (administrator)
2005-03-03 00:06

Also, we need to consider the possibility of a future Open ICC spec. There is already a discussion list. One of the important points is having a well defined set of system wide settings to include not just profiles, but default settings for rendering, BPC and default printer profiles. see: http://lists.freedesktop.org/mailman/listinfo/openicc [^]
(0004881)
plinnell (administrator)
2005-06-03 10:25

This is the correct way: http://bugs.scribus.net/view.php?id=2040 [^]

Some background: We will have native packaging for profiles very soon. Maybe even with 1.2.2 :)

- Issue History
Date Modified Username Field Change
2005-02-25 09:57 mhanski New Issue
2005-02-25 10:17 Tsoots Note Added: 0003818
2005-02-25 10:19 Tsoots Note Edited: 0003818
2005-02-25 11:55 cbradney Note Added: 0003819
2005-02-25 13:44 louisdesjardins Note Added: 0003820
2005-02-25 13:49 cbradney Note Added: 0003821
2005-02-25 13:54 louisdesjardins Note Added: 0003822
2005-02-25 17:46 mhanski Note Added: 0003824
2005-02-25 17:55 cbradney Note Added: 0003825
2005-02-25 18:02 louisdesjardins Note Added: 0003826
2005-02-25 18:06 louisdesjardins Note Added: 0003827
2005-03-03 00:06 plinnell Note Added: 0003859
2005-06-03 10:24 plinnell Status new => resolved
2005-06-03 10:24 plinnell Resolution open => won't fix
2005-06-03 10:25 plinnell Note Added: 0004881
2005-06-03 17:55 mhanski Relationship added related to 0002040
2005-06-03 17:57 mhanski Status resolved => closed
2005-10-11 08:01 mhanski Relationship added related to 0002248
2006-01-30 00:06 mhanski Relationship added related to 0003111



Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker